package DeWeave::BO::Tab;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(ArrayRef Str Int Undef);
use MooseX::Types::Structured qw(Dict Optional);

extends 'DeWeave::EDO';

has clientName => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has tabs => (
    isa => ArrayRef[Dict[
        title => Undef|Str,
        urlHistory => ArrayRef[Str],
        icon => Undef|Str,
        lastUsed => Int,
    ]],
    required => 1,
    is => 'ro',
);

1;
