package DeWeave::BO::Bookmark::Folder;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str ArrayRef);

extends 'DeWeave::BO::Bookmark::Base';

has title => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has children => (
    isa => ArrayRef[Str],
    required => 1,
    is => 'ro',
);

1;
